<?php


return  
    [
        'model' => [
            'model' => \Bixo\Car\Models\Car::class,
            'table' => 'bixo_car_cars',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['car_make',  'car_model',  'car_year',  'color',  'vin_number',  'engine_type',  'engine_config',  'export_status',  'images',  'price',  'status',  'user_id',  'exterior_color',  'interior_color',  'steering',  'kilometers',  'location',  'specs',  'vehicle_type',  'cylinders',  'seating_capacity',  'transmission',  'doors',  'wheel_size',  'warranty',  'interior',  'exterior',  'safety',  'comfort_convenience',  'infotainment',  'description'],
            'translatables' => [],
            'upload_folder' => 'car/car',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "car_make", 
                "type" => "text", 
                "label" => 'car::car.label.car_make', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_model", 
                "type" => "text", 
                "label" => 'car::car.label.car_model', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_year", 
                "type" => "text", 
                "label" => 'car::car.label.car_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "color", 
                "type" => "text", 
                "label" => 'car::car.label.color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "vin_number", 
                "type" => "text", 
                "label" => 'car::car.label.vin_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "engine_type", 
                "type" => "text", 
                "label" => 'car::car.label.engine_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "engine_config", 
                "type" => "text", 
                "label" => 'car::car.label.engine_config', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "export_status", 
                "type" => "text", 
                "label" => 'car::car.label.export_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'car::car.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'car::car.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exterior_color", 
                "type" => "text", 
                "label" => 'car::car.label.exterior_color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "interior_color", 
                "type" => "text", 
                "label" => 'car::car.label.interior_color', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "steering", 
                "type" => "text", 
                "label" => 'car::car.label.steering', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "kilometers", 
                "type" => "text", 
                "label" => 'car::car.label.kilometers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'car::car.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "specs", 
                "type" => "text", 
                "label" => 'car::car.label.specs', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "vehicle_type", 
                "type" => "text", 
                "label" => 'car::car.label.vehicle_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cylinders", 
                "type" => "text", 
                "label" => 'car::car.label.cylinders', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seating_capacity", 
                "type" => "text", 
                "label" => 'car::car.label.seating_capacity', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transmission", 
                "type" => "text", 
                "label" => 'car::car.label.transmission', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "doors", 
                "type" => "text", 
                "label" => 'car::car.label.doors', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "wheel_size", 
                "type" => "text", 
                "label" => 'car::car.label.wheel_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "warranty", 
                "type" => "text", 
                "label" => 'car::car.label.warranty', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "interior", 
                "type" => "text", 
                "label" => 'car::car.label.interior', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exterior", 
                "type" => "text", 
                "label" => 'car::car.label.exterior', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "safety", 
                "type" => "text", 
                "label" => 'car::car.label.safety', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "comfort_convenience", 
                "type" => "text", 
                "label" => 'car::car.label.comfort_convenience', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "infotainment", 
                "type" => "text", 
                "label" => 'car::car.label.infotainment', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'car::car.label.description', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'car_make',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.car_make',
                "placeholder" => 'car::car.placeholder.car_make',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_model',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.car_model',
                "placeholder" => 'car::car.placeholder.car_model',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_year',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'car::car.label.car_year',
                "placeholder" => 'car::car.placeholder.car_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.color',
                "placeholder" => 'car::car.placeholder.color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'vin_number',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.vin_number',
                "placeholder" => 'car::car.placeholder.vin_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'engine_type',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.engine_type',
                "placeholder" => 'car::car.placeholder.engine_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'engine_config',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.engine_config',
                "placeholder" => 'car::car.placeholder.engine_config',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'export_status',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.export_status',
                "placeholder" => 'car::car.placeholder.export_status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.images',
                "placeholder" => 'car::car.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'package::package.formcontrols.DECIMAL',
                "type" => 'package::package.formcontrols.DECIMAL',
                "label" => 'car::car.label.price',
                "placeholder" => 'car::car.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exterior_color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.exterior_color',
                "placeholder" => 'car::car.placeholder.exterior_color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'interior_color',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.interior_color',
                "placeholder" => 'car::car.placeholder.interior_color',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'steering',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.steering',
                "placeholder" => 'car::car.placeholder.steering',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'kilometers',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'car::car.label.kilometers',
                "placeholder" => 'car::car.placeholder.kilometers',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.location',
                "placeholder" => 'car::car.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'specs',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.specs',
                "placeholder" => 'car::car.placeholder.specs',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'vehicle_type',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.vehicle_type',
                "placeholder" => 'car::car.placeholder.vehicle_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cylinders',
                "element" => 'package::package.formcontrols.SMALLINT',
                "type" => 'package::package.formcontrols.SMALLINT',
                "label" => 'car::car.label.cylinders',
                "placeholder" => 'car::car.placeholder.cylinders',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seating_capacity',
                "element" => 'package::package.formcontrols.SMALLINT',
                "type" => 'package::package.formcontrols.SMALLINT',
                "label" => 'car::car.label.seating_capacity',
                "placeholder" => 'car::car.placeholder.seating_capacity',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transmission',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'car::car.label.transmission',
                "placeholder" => 'car::car.placeholder.transmission',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'doors',
                "element" => 'package::package.formcontrols.SMALLINT',
                "type" => 'package::package.formcontrols.SMALLINT',
                "label" => 'car::car.label.doors',
                "placeholder" => 'car::car.placeholder.doors',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'wheel_size',
                "element" => 'package::package.formcontrols.SMALLINT',
                "type" => 'package::package.formcontrols.SMALLINT',
                "label" => 'car::car.label.wheel_size',
                "placeholder" => 'car::car.placeholder.wheel_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'warranty',
                "element" => 'package::package.formcontrols.SMALLINT',
                "type" => 'package::package.formcontrols.SMALLINT',
                "label" => 'car::car.label.warranty',
                "placeholder" => 'car::car.placeholder.warranty',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'interior',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.interior',
                "placeholder" => 'car::car.placeholder.interior',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exterior',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.exterior',
                "placeholder" => 'car::car.placeholder.exterior',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'safety',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.safety',
                "placeholder" => 'car::car.placeholder.safety',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'comfort_convenience',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.comfort_convenience',
                "placeholder" => 'car::car.placeholder.comfort_convenience',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'infotainment',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.infotainment',
                "placeholder" => 'car::car.placeholder.infotainment',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'car::car.label.description',
                "placeholder" => 'car::car.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'car/car/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'car/car/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'car/car',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'car/car',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'car/car',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'car/car',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'car::car.label.created_at',
            'name' => 'car::car.label.name',
            'status' => 'car::car.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "car::car.groups.main",
                'group' => "main.main",
                'title' => "car::car.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "car::car.groups.details",
                'group' => "main.details",
                'title' => "car::car.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "car::car.groups.images",
                'group' => "main.images",
                'title' => "car::car.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "car::car.groups.settings",
                'group' => "main.settings",
                'title' => "car::car.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Car',
            'module' => 'Car',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Car\Models\Car::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'car::car.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['car.car.copy', 'car.car.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'car::car.label.count',
                        "placeholder" => 'car::car.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'car::car.label.comment',
                        "placeholder" => 'car::car.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'car::car.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'car::car.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
