<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoCarCarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_car_cars
         */
        Schema::create('bixo_car_cars', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.VARCHAR('car_make')->nullable();
            $table->package::package.fieldtype.VARCHAR('car_model')->nullable();
            $table->package::package.fieldtype.INT('car_year')->nullable();
            $table->package::package.fieldtype.VARCHAR('color')->nullable();
            $table->package::package.fieldtype.VARCHAR('vin_number')->nullable();
            $table->package::package.fieldtype.VARCHAR('engine_type')->nullable();
            $table->package::package.fieldtype.VARCHAR('engine_config')->nullable();
            $table->package::package.fieldtype.VARCHAR('export_status')->nullable();
            $table->package::package.fieldtype.TEXT('images')->nullable();
            $table->package::package.fieldtype.DECIMAL('price')->nullable();
            $table->package::package.fieldtype.VARCHAR('status')->nullable();
            $table->package::package.fieldtype.INT('user_id')->nullable();
            $table->package::package.fieldtype.VARCHAR('exterior_color')->nullable();
            $table->package::package.fieldtype.VARCHAR('interior_color')->nullable();
            $table->package::package.fieldtype.VARCHAR('steering')->nullable();
            $table->package::package.fieldtype.INT('kilometers')->nullable();
            $table->package::package.fieldtype.VARCHAR('location')->nullable();
            $table->package::package.fieldtype.VARCHAR('specs')->nullable();
            $table->package::package.fieldtype.VARCHAR('vehicle_type')->nullable();
            $table->package::package.fieldtype.SMALLINT('cylinders')->nullable();
            $table->package::package.fieldtype.SMALLINT('seating_capacity')->nullable();
            $table->package::package.fieldtype.VARCHAR('transmission')->nullable();
            $table->package::package.fieldtype.SMALLINT('doors')->nullable();
            $table->package::package.fieldtype.SMALLINT('wheel_size')->nullable();
            $table->package::package.fieldtype.SMALLINT('warranty')->nullable();
            $table->package::package.fieldtype.TEXT('interior')->nullable();
            $table->package::package.fieldtype.TEXT('exterior')->nullable();
            $table->package::package.fieldtype.TEXT('safety')->nullable();
            $table->package::package.fieldtype.TEXT('comfort_convenience')->nullable();
            $table->package::package.fieldtype.TEXT('infotainment')->nullable();
            $table->package::package.fieldtype.TEXT('description')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_car_cars');
    }
}
