<?php

namespace Bixo\Car\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CarTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_car_cars')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.car.car.view',
                'name'      => 'View Car',
            ],
            [
                'slug'      => 'bixo.car.car.create',
                'name'      => 'Create Car',
            ],
            [
                'slug'      => 'bixo.car.car.edit',
                'name'      => 'Update Car',
            ],
            [
                'slug'      => 'bixo.car.car.delete',
                'name'      => 'Delete Car',
            ],
            
                        [
                'slug'      => 'bixo.car.car.verify',
                'name'      => 'Verify Car',
            ],
            [
                'slug'      => 'bixo.car.car.approve',
                'name'      => 'Approve Car',
            ],
            [
                'slug'      => 'bixo.car.car.publish',
                'name'      => 'Publish Car',
            ],
            [
                'slug'      => 'bixo.car.car.unpublish',
                'name'      => 'Unpublish Car',
            ],
            [
                'slug'      => 'bixo.car.car.cancel',
                'name'      => 'Cancel Car',
            ],
            [
                'slug'      => 'bixo.car.car.archive',
                'name'      => 'Archive Car',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/car/car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/car/car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'car',
                'name'        => 'Car',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Car',
                'module'    => 'Car',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.car.car.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
