<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for car in car package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  car module in car package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Car',
    'names' => 'Cars',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Cars',
        'sub' => 'Cars'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please select id',
        'car_make'                   => 'Please select car make',
        'car_model'                  => 'Please select car model',
        'car_year'                   => 'Please select car year',
        'color'                      => 'Please select color',
        'vin_number'                 => 'Please select vin number',
        'engine_type'                => 'Please select engine type',
        'engine_config'              => 'Please select engine config',
        'export_status'              => 'Please select export status',
        'images'                     => 'Please select images',
        'price'                      => 'Please select price',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please select user id',
        'exterior_color'             => 'Please select exterior color',
        'interior_color'             => 'Please select interior color',
        'steering'                   => 'Please select steering',
        'kilometers'                 => 'Please select kilometers',
        'location'                   => 'Please select location',
        'specs'                      => 'Please select specs',
        'vehicle_type'               => 'Please select vehicle type',
        'cylinders'                  => 'Please select cylinders',
        'seating_capacity'           => 'Please select seating capacity',
        'transmission'               => 'Please select transmission',
        'doors'                      => 'Please select doors',
        'wheel_size'                 => 'Please select wheel size',
        'warranty'                   => 'Please select warranty',
        'interior'                   => 'Please select interior',
        'exterior'                   => 'Please select exterior',
        'safety'                     => 'Please select safety',
        'comfort_convenience'        => 'Please select comfort convenience',
        'infotainment'               => 'Please select infotainment',
        'description'                => 'Please select description',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'car_make'                   => 'Car make',
        'car_model'                  => 'Car model',
        'car_year'                   => 'Car year',
        'color'                      => 'Color',
        'vin_number'                 => 'Vin number',
        'engine_type'                => 'Engine type',
        'engine_config'              => 'Engine config',
        'export_status'              => 'Export status',
        'images'                     => 'Images',
        'price'                      => 'Price',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'exterior_color'             => 'Exterior color',
        'interior_color'             => 'Interior color',
        'steering'                   => 'Steering',
        'kilometers'                 => 'Kilometers',
        'location'                   => 'Location',
        'specs'                      => 'Specs',
        'vehicle_type'               => 'Vehicle type',
        'cylinders'                  => 'Cylinders',
        'seating_capacity'           => 'Seating capacity',
        'transmission'               => 'Transmission',
        'doors'                      => 'Doors',
        'wheel_size'                 => 'Wheel size',
        'warranty'                   => 'Warranty',
        'interior'                   => 'Interior',
        'exterior'                   => 'Exterior',
        'safety'                     => 'Safety',
        'comfort_convenience'        => 'Comfort convenience',
        'infotainment'               => 'Infotainment',
        'description'                => 'Description',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
