<?php

namespace Bixo\Car\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Car\Http\Requests\CarActionsRequest;
use Bixo\Car\Actions\CarActions;

/**
 * Admin web controller class.
 */
class CarActionsController extends BaseController
{

    /**
     * Action controller function for car.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CarActionsRequest $request, $action)
    {
        try {
            $car = CarActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('car::car.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('car/car/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('car/car/' . $action))
                ->redirect();
        }
    }
}
