<?php

namespace Bixo\Car\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Car\Actions\CarReport;
use Bixo\Car\Http\Requests\CarReportRequest;

/**
 * Admin web controller class.
 */
class CarReportController extends BaseController
{
    /**
     * Action controller function for car.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CarReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Car::class);
            $data = CarReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('car::car.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('car/car/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('car/car/' . $report))
                ->redirect();
        }
    }
}
