<?php

namespace Bixo\Car\Policies;

use Bixo\Car\Models\Car;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CarAction
{

    /**
     * Determine if the given user can copy the given car.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Car $car)
    {

        if ($authUser->canDo('car.car.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given car.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Car $car) {

        if ($authUser->canDo('car.car.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given car.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Car $car)
    {

        if ($authUser->canDo('car.car.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
