<?php

namespace Bixo\Car\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait CarExim
{

    /**
     * Determine if the given user can approve the given car.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('car.car.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given car.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('car.car.export')) {
            return true;
        }

        return false;
    }
}
