<?php


namespace Bixo\Car\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CarReport
{

    /**
     * Determine if the given user can approve the given car.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('car.car.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given car.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('car.car.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given car.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('car.car.report.download')) {
            return true;
        }

        return false;
    }
}
