<?php

namespace Bixo\Car\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Car\Events\CarAction;
use Bixo\Car\Events\CarWorkflow;
use Bixo\Car\Listeners\CarAction as CarActionListener;
use Bixo\Car\Listeners\CarWorkflow as CarWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        CarAction::class => [
            CarActionListener::class,
        ],
        CarWorkflow::class => [
            CarWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
